//---------------------------------------------------------------------------

#ifndef ITSSEL1MFH
#define ITSSEL1MFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ComCtrls.hpp>
#include <ADODB.hpp>
#include "FRAME_LinkListF.h"
#include "cxButtons.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxGroupBox.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
//---------------------------------------------------------------------------

class TITSSEL1M : public TForm
{
__published:	// IDE-managed Components
    TTimer *TmrShow;
    TcxButton *BtnSearch;
    TcxButton *BtnClose;
    TEdit *EdFocus;
    TcxButton *BtnSelect;
    TcxGroupBox *cxGroupBox1;
    TShape *ShpList;
    TFRAMELinkList *FRAMELinkList1;
    TListBox *SelList;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall BtnSearchClick(TObject *Sender);
    void __fastcall BtnCloseClick(TObject *Sender);
    void __fastcall BtnSelectClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
    void __fastcall CommClose();
    void __fastcall SetMultiSelect(bool AMultiSelect);
    bool __fastcall GetMultiSelect();
    bool            FMultiSelect;

public:
    bool    m_bSelected;
    String  m_sSelLinkId;

public:		// User declarations
    __fastcall TITSSEL1M(TComponent* Owner);

    void __fastcall RefreshData();
    void __fastcall SelListData();

    __property bool MultiSelect = {read = GetMultiSelect, write=SetMultiSelect };
};
//---------------------------------------------------------------------------
extern PACKAGE TITSSEL1M *ITSSEL1M;
//---------------------------------------------------------------------------

#endif

